require Orgy.libpath(*%w{orgy org_data_container})

module Orgy
  # ===OrgBulletList
  # {Org-mode ordered lists}[http://orgmode.org/manual/Plain-lists.html#index-lists_002c-ordered-172]
  # Creates a bulleted list of items
  class OrgBulletList < Orgy::OrgDataContainer

    # Iterates though the container's objects and prints a single dash before the contained element.
    # Afterwards, it prints the child elements if any
    def to_s
      str = ""
      @data[:container].each do | bullet_point |
        @indent.times{ str << @indent_delimiter }
        str << "- " << bullet_point.to_s << "\n"
      end
      str << super
    end

  end
end
