require Orgy.libpath(*%w{orgy org_data})

module Orgy
  # ===OrgDataContainer
  # Allows an org element to contain other elements that are not treated like children
  class OrgDataContainer < Orgy::OrgData

    def initialize
      super()
      @data[:container] = Array.new
      @data[:container?] = true
    end

    # Add an item to the container
    def add_item item
      @data[:container].push item.to_s
    end
    
    # Add an array of items to the container
    def add_items item_arr
      item_arr.each do | item |
        add_item(item)
      end
    end

    # Delete item at a container index
    def delete_item_at num
      @data[:container].delete_at(num)
    end

    # Delete item matching argument
    def delete_item item
      @data[:container].delete item
    end

    # Tests to see if the container is empty
    def empty?
      @data[:container].empty?
    end

  end
end
