require Orgy.libpath(*%w{orgy org_data})

module Orgy
  # ===OrgLink
  # {Org-mode Hyperlinks}[http://orgmode.org/manual/Hyperlinks.html#Hyperlinks]
  class OrgHyperlink < OrgData

    attr_reader :data

    # Takes two arguements. The first is the string representation of the url.
    # The second is the label you wish to use.
    def initialize( url, title )
      super()
      @data[:url] = url
      @data[:title] = title
    end

    def to_s
      "[[#{@data[:url].to_s}][#{@data[:title].to_s}]]" << super
    end

  end
end
